//CRC calculation///////////////////////////////////////////
#include "descript.h"
short int CRC(int buffer3[])
{
 short int Summ;
 int i;
 int CSum, tmp;
 
 tmp=buffer3[8];
 CSum=tmp; 
 for (i=9;i<1023;i++) {tmp=buffer3[i]; CSum=CSum^tmp;}
 Summ=(short int) (CSum); 
 return Summ;
}

